<template>
  <div>
    <div class="subTitulo" style="padding-bottom: 0px">
      {{negocio.negocio}} - {{changeDate(fechaInicio)}} a {{changeDate(fechaFin)}}
      <br/>
      Resumen general
    </div>
    <div class="divCol resumen">
      <div class="col2 resumen__sucursal">
        <div>
          <div>Total de hallazgos</div>
          <div class="txt">{{this.totales}}</div>
        </div>
        <div>
          <img src="@/assets/img/hallazgos/icoTotal.svg" />
        </div>
      </div>
      <div class="col2 resumen__sucursal">
        <div>
          Por atender
          <div class="txt">{{this.porAtender}}</div>
        </div>
        <div>
          <img src="@/assets/img/hallazgos/icoPorAtender.svg" />
        </div>
      </div>
      <div class="col2 resumen__sucursal">
        <div>
          Por autorizar
          <div class="txt">{{this.porAutorizar}}</div>
        </div>
        <div>
          <img src="@/assets/img/hallazgos/icoPorAutorizar.svg" />
        </div>
      </div>
      <div class="col2 resumen__sucursal">
        <div>
          Rechazados por atender
          <div class="txt">{{this.rechazadosPorAtender}}</div>
        </div>
        <div>
          <img src="@/assets/img/hallazgos/icoRechazadasPorAtender.svg" />
        </div>
      </div>
      <div class="col2 resumen__sucursal">
        <div>
          Atendidos
          <div class="txt">{{this.atendidos}}</div>
        </div>
        <div>
          <img src="@/assets/img/hallazgos/icoAtendidos.svg" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  //props: { hallazgos: Array },
  props: {
      negocio : String,
      fechaInicio : String,
      fechaFin : String,
    },
  name: "resumen-hallazgos-negocio",
  data (){
      return ({
        totales: 0,
        porAtender: 0,
        porAutorizar: 0,
        rechazadosPorAtender: 0,
        atendidos: 0,
        breadcrumbs: [
          {
            text: "Plataforma de Franquicia",
            disabled: false,
            exact: true,
            to: {
              name: "home"
            }
          },
          {
            text: "Atención de hallazgos",
            disabled: false,
            exact: true,
            to: {
              name: "maquetado_hallazgos-busqueda"
            }
          },
          {
            text: "Detalle de Hallazgos",
            disabled: true
          }
        ]
  })
  },
  created() {
    
    this.getTotales();
    //this.initData();
    
  },
  methods: {
    initData(jsonData){

        this.totales = jsonData.totalGral;
        this.porAtender = jsonData.porAtender;
        this.porAutorizar = jsonData.porAutorizar;
        this.rechazadosPorAtender = jsonData.rechazados;
        this.atendidos = jsonData.atendidos;

    },
    changeDate(fechaStr){

      const anio = fechaStr.substring(0,4);
      const mes = fechaStr.substring(4,6);
      const dia = fechaStr.substring(6,8);

      return dia +"/"+ mes + "/" + anio;

    },
    getTotales() {
      axiosChecklist
        .get(
          "expansionCoreServices/getConteoHallazgosGral.json?nego="+
          this.negocio.id+
          "&fechaInicio="+
          this.fechaInicio+
          "&fechaFin=" +
          this.fechaFin
          ,
          {
            responseType: "json",
          }
        )
        .then((response) => {
          if (response) {
            if (response.status === 200) {

              /*var json = {
                totalGral : 67,
                porAtender : 82,
                porAutorizar : 0,
                rechazados : 0,
                atendidos: 0, 
                negocio: "EKT"
              };
              this.initData(json)*/
              this.initData(response.data);
            }
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(function() {});

         /*var json = {
                totalGral : 67,
                porAtender : 82,
                porAutorizar : 10,
                rechazados : 2,
                atendidos: 1, 
                negocio: "EKT"
              };
              this.initData(json)*/

    }
    
  }
};
</script>

<style scoped>
.resumen > div {
  border: 1px solid #d0d0ce;
}

.resumen .theme--light.v-card.v-card--outlined {
  border: thin solid rgba(0, 0, 0, 0.12);
  box-shadow: 1px 4px 5px rgb(226, 222, 222);
}
.theme--light.v-card {
  background-color: red;
}
.resumen {
  width: 100%;
  margin: 0 auto 20px auto;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-gap: 20px;
  align-items: stretch;
}
.resumen .col2 {
  grid-column: auto / span 2;
}

.resumen__sucursal {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  padding: 5px 10px;
}

.resumen__sucursal:nth-child(1) {
  border-bottom: 4px solid #575757;
}
.resumen__sucursal:nth-child(2) {
  border-bottom: 4px solid #ea3425;
}
.resumen__sucursal:nth-child(3) {
  border-bottom: 4px solid #f19838;
}
.resumen__sucursal:nth-child(4) {
  border-bottom: 4px solid #ee7c31;
}
.resumen__sucursal:nth-child(5) {
  border-bottom: 4px solid #61ac42;
}

.resumen__sucursal > div:nth-child(1) {
  width: 68%;
  margin-right: 2%;
  font-size: 12px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.resumen__sucursal > div:nth-child(2) {
  width: 30%;
  display: flex;
  align-items: center;
}
.resumen__sucursal > div:nth-child(2) img {
  width: 96%;
  margin: auto;
}

.resumen__sucursal > div > div:nth-child(1) {
}

.resumen__sucursal:hover {
  background-color: #fff9e6;
}
.txt {
  display: block;
  font-size: 21px;
  font-family: "Avenir_Next_Demi_Bold";
}
@media screen and (max-width: 900px) {
  .resumen {
    grid-template-columns: repeat(12, 1fr);
  }
  .resumen .col2 {
    grid-column: auto / span 3;
  }
}
@media screen and (max-width: 799px) {
  .resumen .col2 {
    grid-column: auto / span 4;
  }
}
</style>